commit cecff847395deb553b6331f31776f9cbfc809add
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Dec 4 14:04:06 2022 -0800

    libXcomposite 0.4.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 352885a4ff166cd065da1944649a4f12801dd4d2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 21 11:54:58 2022 -0800

    XCompositeCloseDisplay: Mark codes as unused
    
    Quiets clang warning:
    
    Xcomposite.c:91:50: warning: unused parameter 'codes' [-Wunused-parameter]
    XCompositeCloseDisplay (Display *dpy, XExtCodes *codes)
                                                     ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 544392051e5f566c4eb29fa2e40dbce748935728
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 21 11:50:04 2022 -0800

    Handle implicit conversion warnings from clang
    
    Clears 13 -Wimplicit-int-conversion, 10 -Wshorten-64-to-32, and
    2 -Wsign-conversion warnings.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 253561cfcc3b95d21046bf08467fa0f68be385da
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 21 11:33:26 2022 -0800

    Wrap XComposite*CheckExtension() in do { ... } while(0)
    
    Makes macro expansion safer and eliminates -Wextra-semi-stmt warnings
    from clang every time it is called due to semicolon after bracket.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8a10ff647b795b778af58037a8cbc23a03289e9a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 21 11:29:44 2022 -0800

    Remove unnecessary casts from malloc() and free() calls
    
    Not needed in C89 and later
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c0c02375b5a319fffe98b8f80ac3c25a8ab3e362
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 21 11:26:44 2022 -0800

    Mark two dpy parameters const as suggested by cppcheck
    
    Xcomposite.c:56:66: style: Parameter 'dpy' can be declared with const
      [constParameter]
    XCompositeExtRemoveDisplay (XCompositeExtInfo *extinfo, Display *dpy)
                                                                     ^
    Xcomposite.c:175:22: style: Parameter 'dpy' can be declared with const
      [constParameter]
            Display     *dpy)
                         ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d2d1e38e5cd7027c4ebe73d6b420a516f3c99c9d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 11:21:47 2022 -0700

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b134b362129f236f4f9221a393b57a9456fe3214
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 11:19:45 2022 -0700

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f173c3b9c809842768c52eb16fb9a83f0551e5f4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 11:19:10 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fd7d02cc014ac9bf5bb7e68b66102ea36a76a59a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 10 17:25:19 2019 -0700

    libXcomposite 0.4.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 01bb3dc16a70bb0a639cc9cff422259d936cf713
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:40:36 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 591b72e42e8da9c991fc9a64b8420b38405a226b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 21:46:07 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 41b8b4f089488f2dd85f4995cfd9d45434fcbccc
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 047a31b30bd404d7f1b4b2d7adcd71bd6e131e83
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6383d0f15253a94691e11285eeb96e0390c686ac
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 514ae7c502cccdaec4786e8394ca5b17d02c2156
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Thu Jan 2 01:21:23 2014 -0800

    Use Xfree rather than XFree for consistency
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit eda48b1bedaa344ada8e13930c9ab3058b836190
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 19748f2fa5d7624d5556348862c33643153ffbfe
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:28:48 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 0db73ea70c690eabe581c7293f77ec2be18e1f41
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jan 2 23:29:00 2013 -0800

    libXcomposite 0.4.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b1e3db243eb118b4b2eb483df4a9ad19dcee17d0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 22:15:10 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit db1ae0c545b4b359204c33488104d214c91f12bb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 2 11:43:41 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    Add AC_CONFIG_SRCDIR([Makefile.am])
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines

commit f6dcd194f87fb7009b8afa482326de044d0e9c24
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 19:41:37 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0e1e69c7b71700c50f71b55f74cd12b8569fa966
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 27 18:50:14 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8898782b98457292057d249ab9e40cfc2fed7d8d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Oct 27 22:40:32 2010 -0700

    libXcomposite 0.4.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 206af895a90d5582a8078c86a33a0ba5888b7e27
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Aug 15 10:41:17 2010 -0400

    man: list files to install only once
    
    Newer versions of autoconf detect that error.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 542ff68e43a33a5c1849f9a88d2d5cc6d0827d04
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Aug 14 20:12:57 2010 -0400

    man: store shadow man pages in git rather than generating them
    
    Simplify the build process and the makefile.
    
    Local fix in CVS for bug 5628 is not required
    as the problem has been fixed in
    util-macros d9062e4077ebfd0985baf8418f3d0f111b9ddbba
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 976db8a67a3e0462d0a675e2bfb2fe715e715bae
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Aug 14 19:58:14 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit dc0afc177521014462baa966359b45d7a40a0c63
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 06:52:10 2010 -0300

    Purge macros NEED_EVENTS and NEED_REPLIES
    
    Signed-off-by: Fernando Carrijo <fcarrijo@yahoo.com.br>
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 219e4de3666e3a7dda42c64ab1539a4cc5adbee4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 30 22:49:26 2010 -0700

    Remove unneeded dependencies from configure.ac & xcomposite.pc
    
    We only need Xfixes headers for the XserverRegion definition, don't
    need to link against it directly or require clients link against it,
    so only use CFLAGS from it in the Makefile, and only list it in
    Requires.private in the .pc file.
    
    Don't need libXext at all - no headers or functions from it are used.
    
    Also clean up some extra appearances of *_CFLAGS & *_LIBS that aren't needed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 01c4691e18b536de6585a0e93e05e2831cf2be34
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 8 17:05:02 2010 -0700

    libXcomposite 0.4.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 657550b7572551225ea2c9c60f42827a5209a205
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 8 16:59:52 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7cc9ace428dabaeeabc8bcb8843ee89bec447a9a
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Apr 9 17:24:57 2010 -0700

    Always call SyncHandle after issuing an X request.

commit e52f8171000f2b67bb1b774ba94acb68a471a91b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:33 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f361cfd41f36dc60ad9c4832978391f3ce8951e6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:48 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 588e33d6037166da5a02e8ad73438544dca90e1a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Mar 11 10:06:56 2010 -0500

    doc: specify 0.0.20 as the minimum version for xmlto
    
    Older versions do not have fop backend.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2002631bd71ba970d77f9b5c8f886c3bf1349e45
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 21 20:03:42 2010 -0500

    man: allow installing prebuilt man pages from tarball
    
    The man pages source may be supplied in the tarball or built
    from git. The makefile needs to take that into consideration
    and adjust the targets accordingly.
    
    This prevents the regular make target to fail when the source
    is not available and the xmlto is not available.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 213cf861e8a29c6f991828beb6656239206c9947
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jan 18 16:02:41 2010 -0500

    config: replace custom code with reusable macro XORG_WITH_XMLTO
    
    XORG_WITH_XMLTO provides additional functions like a configure
    option which allow platform builders to control the usage of
    the xmlto program.
    
    This is a requirement from platforms that do not have such doc tool.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit fa2155fa64cf7b43ee40064cb53b05388885c1dc
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 14 19:15:00 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 7c61042d94edc1ecf8276961f28189caffa7b17a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 14 15:52:08 2010 -0500

    COPYING: add missing copyright notices
    
    Refer to: Xcomposite.c
    Copyright © 2006 Sun Microsystems
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 0d78a27bf7c644a6e700290c1861a11ff4a1662b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:03 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 92843f46c21c6fd0c5f82727f0d281dcf6debfe4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit e1d89e11c0f24c6c0d5048e8910091f9b5a997e4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:42 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit b741fca01ebe60a5b73bcebe237efc4aeff3fa0c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:19 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 57cce60b16cfd2fb63c2e045817c2c05a2a603dc
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:24 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit 90c243accfb2dc3d4d85dd57d8aca518dab98842
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 8 00:28:45 2009 -0700

    libXcomposite 0.4.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c302ae79f7819f75628f798d15c980cbf42eec91
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 8 00:23:42 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Also some changes to man/Makefile.am to make it work better with the
    AM_SILENT_RULES option that's enabled in XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 3418a26aa83fbba78ad5a214ca7db2984a44190b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:32 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c469e20fe52db54be01533b0e4748fa011d1ddc4
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 29 15:27:52 2009 -0200

    Janitor: Correct make distcheck
    
      Remove extra .gitignore in subdirectories
      Correct a sparse warning

commit 16ae68423eb30639d880445c6bbe70d539e4b198
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 19 17:15:39 2008 +0930

    Rename parameters to clarify QueryVersion/QueryExtension.
    
    These parameters are not treated as input. Rename them to make the inner
    workings slightly more obvious.
    
    X.Org Bug 14511 <http://bugs.freedesktop.org/show_bug.cgi?id=14511>

commit e59817872ee6aec0544bd56ebb83ded9e4a5851c
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Mar 9 00:30:40 2008 +0100

    nuke RCS Ids

commit 8c046523f304525615cb8c5391711fddb94fcc04
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 15:51:15 2007 -0500

    Add missing PHONY line for automatic ChangeLog generation

commit 097228085c98062a439237d7c9170023e69d0543
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Tue Jul 3 19:40:52 2007 -0700

    Follow composite protocol version to 0.4, although there is no ABI change.
    
    Composite protocol 0.4 changes clipping semantics, but doesn't affect any of
    the interfaces. As such, this library version is exactly the same as the 0.3
    series, but the documentation includes a description of the semantic change.

commit 2de0bef64b425889d9c060c1ef0ee891b8376469
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed May 2 15:16:27 2007 -0700

    Version bump: 1.3.2

commit 1ff9d8a7c9e5ab784b0bed38e968b3d56c434cad
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed May 2 14:49:47 2007 -0700

    Give more explicit warning messages if xmlto is needed but not found

commit 81a8a71d888d16989a096195dfd96b10fadeba5d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Apr 23 19:14:22 2007 -0700

    Replace static ChangeLog with dist-hook to generate from git log

commit 3d6927c680e6aba14e0a7d771ce8891606cb7fbd
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Apr 23 19:09:59 2007 -0700

    man page: oops, lost Deron's credit for 0.3

commit 258736fa5371c31bcde7f76f1089f0721c7f2275
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Apr 23 17:36:41 2007 -0700

    Add libXcomposite man page (converted from protocol specs)
    
    Translate protocol specs + header into library/API documentation in
    Docbook/XML format
    
    Convert XML -> nroff/man at dist time so that only maintainers and
    developers building from git need xmlto installed.

commit bb772fb6c515bcccbde0947ca9fad03b350ae012
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Apr 23 14:52:40 2007 -0700

    Add *~ to .gitignore to skip emacs/patch droppings

commit 2bf6c2fd0dc825c0aec7b262736b2a87aeb2183c
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 15:59:16 2006 -0400

    Bump to 0.3.1

commit f0a1453f24e29a9badc8f29d81c42c0eb3f67065
Author: Jamey Sharp <jamey@minilop.net>
Date:   Thu Oct 12 17:42:18 2006 -0700

    Do not call UnlockDisplay without calling LockDisplay.
    
    Thanks to Magnus Kessler <Magnus.Kessler@gmx.net> for reporting this
    bug and a correct fix.

commit 5f2879d1ff86979b6654022031373ce0c9861207
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:58:49 2006 -0700

    renamed: .cvsignore -> .gitignore

commit c382f5e2b048879b553672e3a9400d0729fc4001
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Apr 3 14:58:15 2006 +0000

    Tag as 0.3 and release.

commit 416d6c61338acaa58f986b27408992a0f324d32f
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Apr 3 01:03:11 2006 +0000

    Coverity #573: Plug a leak on the error path.

commit 32cba66971545abf95e272cce635a8b0df882272
Author: Deron Johnson <deron.johnson@sun.com>
Date:   Mon Mar 13 21:59:05 2006 +0000

    Part 2 of 3 (Other parts are in proto and xserver) Composite Version 0.3:
        CompositeGetOverlayWindow, CompositeReleaseOverlayWindow Xfixes Version
        4.0: XFixesHideCursor, XFixesShowCursor

commit 71a706971e7b4d82c128eb82ede2b7e573c0642b
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:28 2005 +0000

    Update package version number for final X11R7 release candidate.

commit a05661afa2fd3ec976473976dff0fa25ac3b8253
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:43 2005 +0000

    Update package version number for X11R7 RC3 release.

commit ce28a0e130db08ebcef5834764c2fc5640f90189
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 23:17:40 2005 +0000

    Add/improve libs .cvsignores.

commit 88e068f78c24861599829364b393ebb8b0eb6711
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:40 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit 5c429e965d88711a836227b65ab4ef2dc4739932
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:31:19 2005 +0000

    Bump version numbers for X11R6.9/X11R7 RC2.

commit 036ddad7a3152bcdbae68c75efbfc0aabae19302
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:19:12 2005 +0000

    Update package version number for X11R7 RC2 release.

commit ae202415c695d1f8ac0588d98235318ed9b059bc
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:11:51 2005 +0000

    Update pkgcheck dependencies to work with separate build roots.

commit 15a1e6e795311e07edf39b66234268b284f8dcfb
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:09 2005 +0000

    Update package version number for RC1 release.

commit fb4f87c05840d2a77706ad63f0f982ee2057e285
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:46:56 2005 +0000

    lib/Xcomposite/Xcomposite.h
    lib/Xft/Imakefile
    lib/Xft/Xft.h Update library version numbers to match updated package
        versions.
    Update driver version numbers for RC1.

commit e937da932f616015befffbf3340b1f3c4a34dc1f
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Aug 3 03:28:01 2005 +0000

    Do PKG_CHECK_MODULES on a unique token instead of on "DEP", so builds with
        a global configure cache don't get confused.

commit 999bc86206564f0adda375076e834465ef97e5f5
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:50 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit f00dc71c280699e7f08b72b59ee74b84afa32956
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 16 06:33:36 2005 +0000

    Change soversion to 1.0.0 with -version-number.

commit 7ad5cea1ca2c64d63a69b04d9eea24d4f29b5ac6
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Fri Jul 15 12:41:51 2005 +0000

    Add $(DEP_LIBS)

commit 5379902ddfd8ce084a9de727f3b4626ab61525d4
Author: Adam Jackson <ajax@nwnk.net>
Date:   Thu Jul 14 06:11:09 2005 +0000

    Do pkg-config deps on xfixes and xext

commit 96778a22baf1a80f7167cff5f9d98bcff2f4b39f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Jul 13 17:03:07 2005 +0000

    Add $(DEP_CFLAGS) to $(AM_CFLAGS) so the Composite extension headers can be
        found.

commit 71c592267f8305840a3c272576c3ef63a034d6e9
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jul 12 03:16:02 2005 +0000

    Add missing files

commit db8d18cedb4a948ef0dc37703be4d795d39fef37
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jul 12 03:10:35 2005 +0000

    Use full path for Xcomposite.h header

commit 0e95afc461f8f72759911400f664a05a6cd90312
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jul 11 22:28:03 2005 +0000

    Require modular X library. Unify dependency _CFLAGS/_LIBS

commit 7098e81fd4d933ca922431280579049396466d23
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Thu Jul 7 18:25:28 2005 +0000

    Add build sytem for Xcomposite

commit 29e0de5f572341b4c05476138aceb8eaa6609a93
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Jul 3 07:00:56 2005 +0000

    Add Xtrans definitions (FONT_t, TRANS_CLIENT) to clean up warnings.
    Add XSERV_t, TRANS_SERVER, TRANS_REOPEN to quash warnings.
    Add #include <dix-config.h> or <xorg-config.h>, as appropriate, to all
        source files in the xserver/xorg tree, predicated on defines of
        HAVE_{DIX,XORG}_CONFIG_H. Change all Xfont includes to
        <X11/fonts/foo.h>.

commit 6a5a9a284a8e0e76aed1302ccb5c423c12b66eac
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Tue May 17 16:47:58 2005 +0000

    Add Xdamage build system

commit 66adc0d3b0139c46fa5449ba964b186032f3738c
Author: Markus Kuhn <Markus.Kuhn@cl.cam.ac.uk>
Date:   Sat Dec 4 00:42:47 2004 +0000

    Encoding of numerous files changed to UTF-8

commit 3ed5ac43907916ee6a73aa036a1d806d191a631d
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sat Jul 31 05:50:39 2004 +0000

    Bring in Xfixes, Xdamage, and Xcomposite userland from xserver CVS:
    - Update Xfixes headers to protocol major version 3.
    - Add composite headers.
    - Add libXfixes, libXdamage, and libXcomposite.
    - Add imake glue for new libraries, but leave Composite off by default
        until issues are resolved.
